KDE 4.2 PyKDE API Reference

- KDE's Python API

# ErrorCache Class Reference

`from PyKDE4.soprano import *`

Namespace: Soprano::Error

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Soprano.Error.ErrorCache other)
| clearError (self)
Soprano.Error.Error | lastError (self)
| setError (self, Soprano.Error.Error a0)
| setError (self, QString errorMessage, int code=ErrorUnknown)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Soprano.Error.ErrorCache | other
| ) |  |  |

clearError | ( |  | self ) |

Reset the error for the current thread to no error.

Soprano.Error.Error lastError | ( |  | self ) |

Get the last error that occured in the current thread.

setError | ( | self, |
|  | Soprano.Error.Error | a0
| ) |  |  |

Set the last occured error. This method is const to allow setting of errors in all types of methods. The last error is as such a mutable property.

setError | ( | self, |
|  | QString | errorMessage,
|  | int | code=ErrorUnknown
| ) |  |  |

Convenience method to set simple string error messages with a default error code ErrorUnknown.